﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ExpandoObjectSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var vm = this.DataContext as ViewModel;
            vm.GridData = new ObservableCollection<object>();

            dynamic newRow;
            newRow = new ExpandoObject();
            newRow.Name = "Chickens";
            newRow.When = new DateTime(2014, 1, 1);
            newRow.HowMany = 4;
            vm.GridData.Add(newRow);

            newRow = new ExpandoObject();
            newRow.Name = "Geese";
            newRow.When = new DateTime(2014, 6, 14);
            newRow.HowMany = 2;
            vm.GridData.Add(newRow);

            newRow = new ExpandoObject();
            newRow.Name = "Swans";
            newRow.When = new DateTime(2015, 2, 14);
            newRow.HowMany = 3;
            vm.GridData.Add(newRow);
           // dataGrid.ItemsSource = vm.GridData;
        }
    }
}
